org.apache.cassandra.metrics

## Class ColumnFamilyMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.ColumnFamilyMetrics

    public class ColumnFamilyMetrics
    extends java.lang.Object

Metrics for `ColumnFamilyStore`.

### Field Summary

Fields
`com.yammer.metrics.core.Gauge<java.lang.Long>` `allMemtablesDataSize` Total amount of data stored in the memtables (2i and pending flush memtables included).
`com.yammer.metrics.core.Gauge<java.lang.Long>` `bloomFilterDiskSpaceUsed` Disk space used by bloom filter
`com.yammer.metrics.core.Gauge<java.lang.Long>` `bloomFilterFalsePositives` Number of false positives in bloom filter
`com.yammer.metrics.core.Gauge<java.lang.Double>` `bloomFilterFalseRatio` False positive ratio of bloom filter
`com.yammer.metrics.core.Gauge<java.lang.Double>` `compressionRatio` Current compression ratio for all SSTables
`com.yammer.metrics.core.Timer` `coordinatorReadLatency`
`com.yammer.metrics.core.Timer` `coordinatorScanLatency`
`com.yammer.metrics.core.Gauge<long[]>` `estimatedColumnCountHistogram` Histogram of estimated number of columns.
`com.yammer.metrics.core.Gauge<long[]>` `estimatedRowSizeHistogram` Histogram of estimated row size (in bytes).
`com.yammer.metrics.core.Gauge<java.lang.Double>` `keyCacheHitRate` Key cache hit rate for this CF
`com.yammer.metrics.core.Counter` `liveDiskSpaceUsed` Disk space used by SSTables belonging to this CF
`com.yammer.metrics.core.Histogram` `liveScannedHistogram` Live cells scanned in queries on this CF
`com.yammer.metrics.core.Gauge<java.lang.Integer>` `liveSSTableCount` Number of SSTables on disk for this CF
`com.yammer.metrics.core.Gauge<java.lang.Long>` `maxRowSize` Size of the largest compacted row
`com.yammer.metrics.core.Gauge<java.lang.Long>` `meanRowSize` Size of the smallest compacted row
`com.yammer.metrics.core.Gauge<java.lang.Long>` `memtableColumnsCount` Total number of columns present in the memtable.
`com.yammer.metrics.core.Gauge<java.lang.Long>` `memtableDataSize` Total amount of data stored in the memtable, including column related overhead.
`com.yammer.metrics.core.Counter` `memtableSwitchCount` Number of times flush has resulted in the memtable being switched out.
`com.yammer.metrics.core.Gauge<java.lang.Long>` `minRowSize` Size of the smallest compacted row
`com.yammer.metrics.core.Gauge<java.lang.Integer>` `pendingTasks` Estimated number of tasks pending for this column family
`LatencyMetrics` `readLatency` (Local) read metrics
`com.yammer.metrics.core.Gauge<java.lang.Long>` `recentBloomFilterFalsePositives` Number of false positives in bloom filter from last read
`com.yammer.metrics.core.Gauge<java.lang.Double>` `recentBloomFilterFalseRatio` False positive ratio of bloom filter from last read
`EstimatedHistogram` `recentSSTablesPerRead` Deprecated.
`com.yammer.metrics.core.Counter` `speculativeRetries`
`EstimatedHistogram` `sstablesPerRead` Deprecated.
`com.yammer.metrics.core.Histogram` `sstablesPerReadHistogram` Histogram of the number of sstable data files accessed per read
`com.yammer.metrics.core.Histogram` `tombstoneScannedHistogram` Tombstones scanned in queries on this CF
`com.yammer.metrics.core.Counter` `totalDiskSpaceUsed` Total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd
`LatencyMetrics` `writeLatency` (Local) write metrics

### Constructor Summary

Constructors
Constructor and Description
`ColumnFamilyMetrics(ColumnFamilyStore cfs)` Creates metrics for given `ColumnFamilyStore`.

### Method Summary

Methods
`void` `release()` Release all associated metrics.
`void` `updateSSTableIterated(int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### memtableDataSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> memtableDataSize

Total amount of data stored in the memtable, including column related overhead.

#### allMemtablesDataSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> allMemtablesDataSize

Total amount of data stored in the memtables (2i and pending flush memtables included).

#### memtableColumnsCount

    public final com.yammer.metrics.core.Gauge<java.lang.Long> memtableColumnsCount

Total number of columns present in the memtable.

#### memtableSwitchCount

    public final com.yammer.metrics.core.Counter memtableSwitchCount

Number of times flush has resulted in the memtable being switched out.

#### compressionRatio

    public final com.yammer.metrics.core.Gauge<java.lang.Double> compressionRatio

Current compression ratio for all SSTables

#### estimatedRowSizeHistogram

    public final com.yammer.metrics.core.Gauge<long[]> estimatedRowSizeHistogram

Histogram of estimated row size (in bytes).

#### estimatedColumnCountHistogram

    public final com.yammer.metrics.core.Gauge<long[]> estimatedColumnCountHistogram

Histogram of estimated number of columns.

#### sstablesPerReadHistogram

    public final com.yammer.metrics.core.Histogram sstablesPerReadHistogram

Histogram of the number of sstable data files accessed per read

#### readLatency

    public final LatencyMetrics readLatency

(Local) read metrics

#### writeLatency

    public final LatencyMetrics writeLatency

(Local) write metrics

#### pendingTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Integer> pendingTasks

Estimated number of tasks pending for this column family

#### liveSSTableCount

    public final com.yammer.metrics.core.Gauge<java.lang.Integer> liveSSTableCount

Number of SSTables on disk for this CF

#### liveDiskSpaceUsed

    public final com.yammer.metrics.core.Counter liveDiskSpaceUsed

Disk space used by SSTables belonging to this CF

#### totalDiskSpaceUsed

    public final com.yammer.metrics.core.Counter totalDiskSpaceUsed

Total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd

#### minRowSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> minRowSize

Size of the smallest compacted row

#### maxRowSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> maxRowSize

Size of the largest compacted row

#### meanRowSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> meanRowSize

Size of the smallest compacted row

#### bloomFilterFalsePositives

    public final com.yammer.metrics.core.Gauge<java.lang.Long> bloomFilterFalsePositives

Number of false positives in bloom filter

#### recentBloomFilterFalsePositives

    public final com.yammer.metrics.core.Gauge<java.lang.Long> recentBloomFilterFalsePositives

Number of false positives in bloom filter from last read

#### bloomFilterFalseRatio

    public final com.yammer.metrics.core.Gauge<java.lang.Double> bloomFilterFalseRatio

False positive ratio of bloom filter

#### recentBloomFilterFalseRatio

    public final com.yammer.metrics.core.Gauge<java.lang.Double> recentBloomFilterFalseRatio

False positive ratio of bloom filter from last read

#### bloomFilterDiskSpaceUsed

    public final com.yammer.metrics.core.Gauge<java.lang.Long> bloomFilterDiskSpaceUsed

Disk space used by bloom filter

#### keyCacheHitRate

    public final com.yammer.metrics.core.Gauge<java.lang.Double> keyCacheHitRate

Key cache hit rate for this CF

#### tombstoneScannedHistogram

    public final com.yammer.metrics.core.Histogram tombstoneScannedHistogram

Tombstones scanned in queries on this CF

#### liveScannedHistogram

    public final com.yammer.metrics.core.Histogram liveScannedHistogram

Live cells scanned in queries on this CF

#### coordinatorReadLatency

    public final com.yammer.metrics.core.Timer coordinatorReadLatency

#### coordinatorScanLatency

    public final com.yammer.metrics.core.Timer coordinatorScanLatency

#### speculativeRetries

    public final com.yammer.metrics.core.Counter speculativeRetries

#### sstablesPerRead

    @Deprecated
    public final EstimatedHistogram sstablesPerRead

Deprecated.

#### recentSSTablesPerRead

    @Deprecated
    public final EstimatedHistogram recentSSTablesPerRead

Deprecated.

### Constructor Detail

#### ColumnFamilyMetrics

    public ColumnFamilyMetrics(ColumnFamilyStore cfs)

Creates metrics for given `ColumnFamilyStore`.

Parameters:
  `cfs` - ColumnFamilyStore to measure metrics

### Method Detail

#### updateSSTableIterated

    public void updateSSTableIterated(int count)

#### release

    public void release()

Release all associated metrics.